using Android.Content;
using Android.Print;
using PDFPrintingSample.Droid;
using System.IO;
using Xamarin.Forms;

[assembly: Dependency(typeof(PrintService))]

namespace PDFPrintingSample.Droid
{
    class PrintService : IPrintService
    {
        public void Print(Stream inputStream, string fileName)
        {
            string createdFilePath = System.IO.Path.Combine(System.Environment.GetFolderPath(System.Environment.SpecialFolder.Personal), fileName);
            using (var dest = System.IO.File.OpenWrite(createdFilePath))
                inputStream.CopyTo(dest);
            string filePath = createdFilePath;
            PrintManager printManager = (PrintManager)Forms.Context.GetSystemService(Context.PrintService);
            PrintDocumentAdapter pda = new CustomPrintDocumentAdapter(filePath);
            printManager.Print(fileName, pda, null);
        }
    }
}